matrix:
  platform:
    - debian11
    - ubuntu2404
    - macos_arm64
    - windows
  bazel:
    - 8.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
      - '--java_language_version=21'
      - '--java_runtime_version=remotejdk_21'
    build_targets:
      - '//...'
